Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.file
Class ResourcesLoader

    java.lang.Object
      com.ejie.r01f.file.ResourcesLoader

public class ResourcesLoader
extends java.lang.Object

Clase que carga los ficheros de recursos (p.e. html/datos/...) Para cargar los ficheros se pueden utilizar DOS sistemas: - Loader en base a ficheros (por defecto) Lee los ficheros desde la ruta que se pasa como parametro - Loader en base a ClassPath Lee los ficheros desde el classPath, para lo cual es necesario que el fichero esté en algún lugar del ClassPath Ejemplo: Si los ficheros están en /aplic/[appCode]/html/datos: - Si se utiliza el loader en base a ficheros, en el nombre del fichero que hay que pasar a las funciones de esta clase es la ruta absoluta: /aplic/[appCode]/html/datos/[ficheroMapeo].xml - Si se utiliza el loader en base al classPath, en el nombre del fichero que hay que pasar a las funciones de esta clase hay que pasar una ruta que este en el classPath: Si el classpath contiene /aplic, bastaría con pasar: /[appCode]/html/datos/[ficheroMapeo].xml Es posible indicar el Loader a utilizar estableciendo la propiedad resourcesLoader/mapFilesLoader del fichero r01f.properties.xml a uno de los siguientes valores: FILESYSTEM Carga directa desde la localización absoluta en disco CLASSPATH Carga relativa desde cualquier localización del classPath

Constructor Summary
`ResourcesLoader()`

Method Summary
`static java.io.File` | `getResourceFileAsFile(java.lang.String filePathName)` Lee un fichero del fileSystem o del classpath dependiendo de la parametrización realizada en el fichero de propiedades de r01f
`static java.io.InputStream` | `getResourceFileAsStream(java.lang.String filePathName)` Lee un fichero del fileSystem o del classpath dependiendo de la parametrización realizada en el fichero de propiedades de r01f

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourcesLoader

    public ResourcesLoader()

Method Detail

### getResourceFileAsStream

    public static java.io.InputStream getResourceFileAsStream(java.lang.String filePathName)
                                                       throws java.io.FileNotFoundException

  Lee un fichero del fileSystem o del classpath dependiendo de la parametrización realizada en el fichero de propiedades de r01f

  Parameters:
    `filePathName` - nombre del fichero y ruta donde localizarlo
  Returns:
    stream con la lectura del fichero
  Throws:
    `java.io.FileNotFoundException`

### getResourceFileAsFile

    public static java.io.File getResourceFileAsFile(java.lang.String filePathName)
                                              throws java.io.FileNotFoundException

  Lee un fichero del fileSystem o del classpath dependiendo de la parametrización realizada en el fichero de propiedades de r01f

  Parameters:
    `filePathName` - nombre del fichero y ruta donde localizarlo
  Returns:
    objeto file
  Throws:
    `java.io.FileNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD